import java.applet.Applet;  // java applet sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class metod1Applet extends Applet implements ActionListener
{
    //sinif degiskenleri
    Label kutubasligi;     //Label sinifi degiskeni (nesnesi) kutubasligi
    TextField kutugirdisi; // Textfield sinifi degiskeni (nesnesi) kutugirdisi
    double sayi;           // Gercek degisken sayi

    // sayinin karesi static metodu
    public static double kare(double x)
    {
    return x*x;
    }

    // pencereyi baslatma metodu
    // pencere ilk basladiginda 
    // degiskenler buradaki degerleri alirlar
    public void init()
    {
    sayi=0;
    kutubasligi=new Label("Bir sayi giriniz : ");
    add(kutubasligi);
    kutugirdisi=new TextField(10);
    add(kutugirdisi);
    kutugirdisi.addActionListener(this);
    }
    
    // girdi alanindaki olan olaylari dinleme metodu
    // Her yeni rakam girildiginde bu metod cagirilir
    public void actionPerformed(ActionEvent e)
    {
    //Double sinifi sayi1 nesnesini tanimla
    Double sayi1=new Double(e.getActionCommand() );
    sayi=sayi1.doubleValue(); 
    repaint();//pencereyi yeniden paint metoduna gore ciz
    }

    public void paint(Graphics g) 
    {
    //   drawString Metodundaki eksen sistemi
    //   -----------------------> x ekseni
    //   |
    //   |
    //   |
    //   V  y ekseni  
         g.drawString(sayi+"nin karesi =  "+kare(sayi),25,50);
    }
}
